پرش به محتوا

مدیاویکی:Common.css

از ویکی ایران

نکته: پس از انتشار ممکن است برای دیدن تغییرات نیاز باشد که حافظهٔ نهانی مرورگر خود را پاک کنید.

  • فایرفاکس / سافاری: کلید Shift را نگه دارید و روی دکمهٔ Reload کلیک کنید، یا کلید‌های Ctrl-F5 یا Ctrl-R را با هم فشار دهید (در رایانه‌های اپل مکینتاش کلید‌های ⌘-R)
  • گوگل کروم: کلیدهای Ctrl+Shift+R را با هم فشار دهید (در رایانه‌های اپل مکینتاش کلید‌های ⌘-Shift-R)
  • Edge: کلید Ctrl را نگه‌دارید و روی دکمهٔ Refresh کلیک کنید، یا کلید‌های Ctrl-F5 را با هم فشار دهید
/* دستورات این بخش همهٔ کاربران را تحت تاثیر قرار می‌دهند. */
@font-face {
  font-family: vazir;
  src: url('/fonts/Vazir-FD.woff2') format('woff2');
  font-weight: 400;
}

@font-face {
  font-family: vazir;
  src: url('/fonts/Vazir-Medium-FD.woff2') format('woff2');
  font-weight: 600;
}

@font-face {
  font-family: vazir;
  src: url('/fonts/Vazir-Bold-FD.woff2') format('woff2');
  font-weight: 700;
}

@font-face {
  font-family: vazir;
  src: url('/fonts/Vazir-Black-FD.woff2') format('woff2');
  font-weight: 900;
}

@font-face {
  font-family: nastaliq;
  src: url('/fonts/IranNastaliq.woff2') format('woff2');
  font-weight: 900;
}

html, body {
    font-family: vazir;
}
.mw-body h1, .mw-body-content h1, .mw-body-content h2 {
	font-family:vazir;
	font-weight:900;
}
body.page-صفحهٔ_اصلی .mw-content-container {
	max-width:unset;
	min-width:85%;
}
body.page-صفحهٔ_اصلی #catlinks {
    display: none;
}

body.page-صفحهٔ_اصلی .mw-body .firstHeading {
	display:none;
}

.bala {
	border:3px solid #ccc;
	border-radius:10px;
	background:url(/images/2/26/Background.png);
	background-size:auto;
background-repeat:no-repeat;
background-position:left;
	padding:20px;
	display:flex;
	height:284px;
}
.logo-main {
	width:12%;
	display:flex;
	align-items:center;
}
.intro {
	width: 34%;
	margin-top:45px;
	text-align:center;
}
div#map {
    margin-top: 45px;
    margin-bottom: 40px;
}
.body-r-l {
	flex:100%;
	display:flex;
	margin-top:90px;
}
.right-c {
	flex:70%;
	border:3px solid #bfbfbf;
	border-radius:10px;
	margin-left:5px;
    padding: 10px;
    box-shadow: 2px 3px #9acefe;
	}
.left-c {
	flex:30%;
	border:3px solid #bfbfbf;
	margin-right:5px;
	border-radius:10px;
    padding: 10px;
    box-shadow: 2px 3px #9acefe;
}
.titr {
    font-weight: 900;
    color:#fff;
    padding-right:10px;
	background: #9acefe;
	background: linear-gradient(90deg, #9acefe 24%, #0000f5 91%);
    border-right: 2px solid #9acefe;
    border-radius: 0px 15px 15px 0px;
    border-top: 2px solid #9acefe;
    border-bottom: 2px solid #9acefe;
    font-size:18px;
}



/*باکس موضوعات*/

#sitelinks {
        border: 2px solid #eee;
        border-radius: 12px;
        padding: 12px;
        margin: 50px 0;
        box-shadow: 5px 5px #ddd;
    }
    #mainitem {
        display: flex;
        align-items: center;
        justify-content: center;
        color: #fff;
        margin: 35px 0 45px 0;
        flex-direction: row;
    }

    .item4 {
        background: #b2f1c8;
        border-radius: 15px;
        width: 20%;
        padding: 20px;
        margin: 10px;
        text-align: center;
        text-decoration: none;
        font-size: 24px;
        color: #000;
        height: 190px;
    }


    .item4 a:link {
        color: #000;
        font-size: 18px;
        text-decoration: none;
        padding: 0 0 10px 0;
    }

    .item4 a:visited {
        color: #000;
        text-decoration: none;
    }

    .item4 img {
        margin-bottom: 20px;
    }

    html.aui .search-holder-home {
        background-color: #00297c:
    }

    /* Responsive layout - makes a one column layout instead of a two-column layout */

    @media (max-width: 1000px) {
        #mainitem {
            flex-direction: column;
        }

        .item4 {
            width: 50%;
            height: 180px;
        }

        .item4 img {
            width: 25%;
        }

        .item4 a:link {
            font-size: 15px;
        }


        @media (max-width: 800px) {
            #mainitem {
                flex-direction: column;
            }

            .item4 {
                width: 50%;
                height: 180px;
            }

            .item4 img {
                width: 35%;
            }

            .item4 a:link {
                font-size: 15px;
            }